## org.red5.server.net.mrtmp.codec
Class MRTMPCodecFactory

    java.lang.Object
      org.red5.server.net.mrtmp.codec.MRTMPCodecFactory

All Implemented Interfaces:
  ProtocolCodecFactory

    public class MRTMPCodecFactory

extends Object
implements ProtocolCodecFactory

Author:
  Steven Gong (steven.gong@gmail.com)

Constructor Summary
`MRTMPCodecFactory()`

Method Summary
`ProtocolDecoder` `getDecoder(IoSession session)`
`ProtocolEncoder` `getEncoder(IoSession session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRTMPCodecFactory

    public MRTMPCodecFactory()

Method Detail

### getDecoder

    public ProtocolDecoder getDecoder(IoSession session)
                               throws Exception

  Specified by:
    `getDecoder` in interface `ProtocolCodecFactory`
  Throws:
    `Exception`

### getEncoder

    public ProtocolEncoder getEncoder(IoSession session)
                               throws Exception

  Specified by:
    `getEncoder` in interface `ProtocolCodecFactory`
  Throws:
    `Exception`

Copyright © 2006-2010 The Red5 Project